<div ng-controller="alertFormController as self" ng-init="self.init(<?= $this->alert ? $this->alert->getId() : 'null'?>, 'project')">
    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><?= $this->translate('administration_module_title') ?></li>
        <li><a href="<?= $this->url('alert') ?>"><?= $this->translate('alert_module_title') ?></a></li>
        <li class="active">
            <span ng-if="self.alert.id">{{self.panelTitle}}</span>
            <span ng-if="!self.alert.id"><?= $this->translate('alert_nav_form') ?></span>
        </li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('alert') ?> <?= $this->translate('alert_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-heading">
                    <span ng-if="self.alert.id">
                        {{self.panelTitle}}
                    </span>
                    <span ng-if="!self.alert.id">
                        <?= $this->translate('alert_nav_form') ?>
                    </span>
                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" ng-if="self.alert.id && self.alert._rights.update" tooltip="<?= $this->translate('tooltip_send') ?>">
                            <?= $this->icon('send', 'pointer', ['ng-click' => 'self.sendAlert(self.alert.id)']) ?>
                        </div>
                        <div class="panel-heading-actions" ng-if="self.alert.id && self.alert._rights.update">
                            <strong>{{'alert_field_enabled' | translate}}</strong>
                            <input type="checkbox" name="enabled" autocomplete="off" ng-model="self.alert.enabled" ng-change="self.enableAlert()"/>
                        </div>
                        <div class="panel-heading-actions" ng-if="self.alert.id && self.alert._rights.delete" tooltip="<?= $this->translate('tooltip_delete') ?>">
                            <?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteAlert()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <form name="alertForm" ng-submit="self.saveAlert()">
                        <input type="hidden" name="id"
                               ng-model="self.alert.id"/>

                        <div class="row">
                            <div class="form-group required col-md-4">
                                <label><?= $this->translate('alert_field_name') ?></label>
                                <input type="text" name="name" class="form-control" required autocomplete="off"
                                       ng-model="self.alert.name" ng-readonly="!self.alert._rights.update"/>
                                <field-errors field="name" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-md-4">
                                <label><?= $this->translate('alert_field_periodicity') ?></label>
                                <select class="form-control" name="periodicity" ng-model="self.alert.periodicity" required>
                                    <?php foreach ($periodicities as $periodicity) {
                                        echo '<option value="' . $periodicity . '">' . ucfirst($this->translate($periodicity)) . '</option>';
                                    } ?>
                                </select>
                                <field-errors field="periodicity" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-md-4">
                                <label><?= $this->translate('alert_field_query') ?></label>
                                <div class="row-table separator row-table-vmiddle">
                                    <div>
                                        <query-select name="query" ng-model="self.alert.query" ng-disabled="!self.alert._rights.update" required="true" form="alertForm" configuration="{
                                            service: {
                                                apiParams: {
                                                    search: {
                                                        data: {
                                                            filters: {
                                                                list: {
                                                                    op: 'eq',
                                                                    val: {
                                                                        0: 'projects-list'
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }"></query-select>
                                    </div>
                                    <div class="fit-content" ng-show="self.alert.query">
                                        &nbsp;&nbsp; <a href="<?= $this->url('project') ?>?q={{self.alert.query.id}}" target="_blank"><i class="fa fa-eye" style="font-size: 18px;" tooltip="<?= $this->translate('tooltip_show_request') ?>"></i></a>
                                    </div>
                                </div>
                                <field-errors field="query" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-md-4">
                                <label class="separator"><?= $this->translate('alert_field_recipients') ?></label>

                                <div class="row-table separator" style="width: auto;">
                                    <div class="form-group">
                                        <label class="no-bold">
                                            <?= $this->translate('alert_field_toManagers') ?>
                                            <input type="checkbox"
                                                   ng-model="self.alert.toManagers"
                                                   ng-disabled="!self.alert._rights.update"/>
                                        </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                        <field-errors field="toManagers" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group">
                                        <label class="no-bold">
                                            <?= $this->translate('alert_field_toValidators') ?>
                                            <input type="checkbox"
                                                   ng-model="self.alert.toValidators"
                                                   ng-disabled="!self.alert._rights.update"/>
                                        </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                        <field-errors field="toValidators" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group">
                                        <label class="no-bold">
                                            <?= $this->translate('alert_field_toMembers') ?>
                                            <input type="checkbox"
                                                   ng-model="self.alert.toMembers"
                                                   ng-disabled="!self.alert._rights.update"/>
                                        </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                        <field-errors field="toMembers" errors="self.errors.fields"></field-errors>
                                    </div>
                                    <div class="form-group">
                                        <label class="no-bold">
                                            <?= $this->translate('alert_field_toWorkflows') ?>
                                            <input type="checkbox"
                                                   ng-model="self.alert.toWorkFlows"
                                                   ng-disabled="!self.alert._rights.update"/>
                                        </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                        <field-errors field="toMembers" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>

                                <user-select name="recipients" ng-model="self.alert.recipients" ng-disabled="!self.alert._rights.update" multiple="true" required="false" form="alertForm"></user-select>
                                <field-errors field="recipients" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-md-4">
                                <label><?= $this->translate('alert_field_subject') ?></label>
                                <input type="text" name="subject" class="form-control" required autocomplete="off"
                                       ng-model="self.alert.subject" ng-readonly="!self.alert._rights.update"/>
                                <field-errors field="subject" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-md-4">
                                <label><?= $this->translate('alert_field_content') ?></label>
                                <text-editor ng-model="self.alert.content" ng-readonly="!self.alert._rights.update" type="simple"></text-editor>
                                <field-errors field="content" errors="self.errors.fields"></field-errors>
                            </div>
                            <div class="col-md-4">
                                <label class="separator"><?= $this->translate('alert_variables') ?></label>
                                <br/>
                                <ul>
                                    <li class="pointer" ng-click="self.insertVariable('projects')">
                                        <b>$projects$</b>
                                        <br/>
                                        <?= $this->translate('alert_variable_projects') ?>
                                    </li>
                                    <li class="pointer" ng-click="self.insertVariable('recipient')">
                                        <b>$recipient$</b>
                                        <br/>
                                        <?= $this->translate('alert_variable_recipient') ?>
                                    </li>
                                    <li class="pointer" ng-click="self.insertVariable('projectsCommisions')">
                                        <b>$projectsCommisions$</b>
                                        <br/>
                                        <?= $this->translate('alert_variable_reprojectsCommisions') ?>
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div ng-if="self.alert._rights.update" class="row">
                            <div class="col-md-4">
                                <button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
                                    <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                    <?= $this->translate('form_button_save') ?>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('alert:e:alert:c')) {
    $fabLinks[] = [
        'href' => $this->url('alert/form'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('alert_nav_form'),
    ];
}

echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/user/service/user.js');
$this->angular('js/src/user/directive/userSelect.js');

$this->angular('js/src/application/query/service/query.js');
$this->angular('js/src/application/query/directive/querySelect.js');

$this->angular('js/src/alert/service/alert.js');
$this->angular('js/src/alert/controller/form.js');


